<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>成品产品管理</title>
    <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
</head>
<style type="text/css">
    .LAY-btns .layui-nav {padding-left:0;padding-right:10px;top:-4px;margin: 0 10px;border: 0;background-color: #009688;}
    .LAY-btns .layui-nav .layui-nav-item{line-height: 30px;}
    .LAY-btns .layui-nav .layui-nav-child{top:34px;}
    .LAY-btns .layui-nav .layui-nav-bar{display: none;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a{color:#333;background-color:#fff;}
    .LAY-btns .layui-nav .layui-nav-child dd.layui-this a:hover {background-color: #f2f2f2;color: #000;}
  </style>
<body>
    <div class="layui-fluid">
        <div class="layui-card">
            <div class="layui-card-body" pad15>
                <div class="layui-row layui-col-space15">
                    <div class="layui-col-md12">

                    <div class="LAY-btns" style="margin-bottom: 10px;">
                        <button class="layui-btn layui-btn-sm" data-permission="purchase.add_purchase_payment" id="btn_add"><i class="layui-icon layui-icon-add-1"></i>添加</button>
                        <button class="layui-btn layui-btn-sm" data-permission="purchase.pay_purchase_payment" id="btn_pay"><i class="layui-icon layui-icon-add-1"></i>付款</button>

                        <button class="layui-nav" data-permission="purchase.export_purchase_payment">
                            <div class="layui-nav-item">
                              <a href="javascript:;" style="color:#fff;">导出</a>
                              <dl class="layui-nav-child"> <!-- 二级菜单 -->
                                <dd><a href="#" id="btn_export">导出列表</a></dd>
                                <dd><a href="#" id="btn_detail_export">导出明细</a></dd>
                              </dl>
                            </div>
                          </button>

                        <button class="layui-btn layui-btn-sm" data-permission="purchase.print_purchase_payment" id="btn_print"><i class="layui-icon layui-icon-form"></i>打印</button>
                        <button class="layui-btn layui-btn-sm" id="btn_query"><i class="layui-icon layui-icon-search"></i>查询</button>
                    </div>
                    <table class="layui-hide" id="datagrid" lay-filter="datagrid-operate"></table>
                    <script type="text/html" id="datagrid-operate-bar">
                        <div class="layui-btn-group">
                          <a class="layui-btn layui-btn-xs" data-permission="purchase.view_purchase_plan" lay-event="detail">查看</a>
                          {{#  if(d.status ==0){ }}
                          <a class="layui-btn layui-btn-xs" data-permission="purchase.add_purchase_plan" lay-event="edit">修改</a>
                          <a class="layui-btn layui-btn-danger layui-btn-xs" data-permission="purchase.delete_purchase_plan" lay-event="del">删除</a>
                          <a class="layui-btn layui-btn-xs" data-permission="purchase.check_purchase_plan" id="check" lay-event="check">审核</a>
                          {{#  } }}
                          {{#  if(d.status > 0 && d.is_pay ==0){ }}
                          <a class="layui-btn layui-btn-xs" data-permission="purchase.check_purchase_plan" id="checkout" lay-event="checkout">撤销审核</a>
                          {{#  } }}
                          {{#  if(d.status > 1 && d.is_pay ==1){ }}
                          <a class="layui-btn layui-btn-xs" data-permission="purchase.view_purchase_plan" id="pay_detail" lay-event="pay_detail">付款明细</a>
                          {{#  } }}
                        </div>
                    </script>
                  </div>
                </div>
            </div>
        </div>
    </div>
    <div id="dlg_query" style="display: none">
        <div class="layui-card-body" pad15>
            <form class="layui-form" lay-filter="query-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">
                <div class="layui-col-xs12 layui-col-sm12">
                  <label class="layui-form-label">创建时间</label>
                  <div class="layui-input-inline">
                     <input type="text" class="layui-input" name="create_time" id="create_time" placeholder=" - ">
                  </div>
                </div>
                  <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">审核状态：</label>
                    <div class="layui-input-block">
                        <select id="id_status" name="status">
                            <option value="">全部</option>
                            <option value="0">待审核</option>
                            <option value="1">已审核</option>
                        </select>
                    </div>
                </div>
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">付款单号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="no" class="layui-input" autocomplete="off">
                    </div>
                </div>
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">供应商：</label>
                    <div class="layui-input-block">
                        <input type="text" name="supplier_name" class="layui-input" autocomplete="off">
                    </div>
                </div>
                <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">合同单号：</label>
                    <div class="layui-input-block">
                        <input type="text" name="order_no" class="layui-input" autocomplete="off">
                    </div>
                </div>
                  <div class="layui-col-xs12 layui-col-sm12">
                    <label class="layui-form-label">备注：</label>
                    <div class="layui-input-block">
                        <input type="text" name="notes" class="layui-input" autocomplete="off">
                    </div>
                </div>
               </div>
              <div class="layui-form-item" style="display: none">
                    <button class="layui-btn" lay-submit lay-filter="query-form-element" id="query_btn">查询</button>
              </div>
            </form>
        </div>
    </div>

    <script src="../../layuiadmin/layui/layui.js?t=1"></script>
    <script>
        var _params = '';
        layui.config({
            base: '../../../layuiadmin/' //静态资源所在路径
        }).extend({
            index: 'lib/index' //主入口模块
        }).use(['index','utils', 'table','laydate', 'form', 'upload'], function () {
            var $ = layui.$;
            var table = layui.table
                ,laydate = layui.laydate
                ,utils = layui.utils
                ,form = layui.form;

            table.render({
                elem: '#datagrid'
                ,url: '/purchase/purchase_payment/data/'
              ,cols: [[
                {type:'checkbox',width:50}
                ,{field:'no', title:'付款单号', width:140}
                ,{field:'order_no', title:'合同号', width:120}
                ,{field:'supplier_name', title:'供应商', width:100}
                ,{field:'supplier_account', title:'供应商账号', width:100}
                ,{field:'amount', align:'right', title:'合同总金额', width:100}
                ,{field:'apply_amount', align:'right', title:'申请金额', width:100}
                ,{field:'actual_amount', align:'right', title:'实付金额', width:120}
                ,{field:'is_clear_text', title:'是否结清', width:90}
                ,{field:'create_time', title:'创建时间', width:150}
                ,{field:'create_user_text', title:'创建人', width:100}
                ,{field:'status_text', title:'审核状态', width: 100}
                ,{field:'check_time', title:'审核时间', width:150}
                ,{field:'check_user_text', title:'审核人', width: 100}
                ,{field:'notes', title:'备注', minWidth:120}
                ,{width:193, align:'left', fixed: 'right', toolbar: '#datagrid-operate-bar'}
              ]]
              ,page: true
               ,totalRow: true
              ,height: 'full-104'
              ,parseData:function(res) {
                var cols = this.cols[0];
                for (var i in cols) {
                    if (cols[i].field == 'amount') {
                        cols[i].totalRowText = res.more.sum_amount;
                    }

                }
                return {
                  "code": res.code, //解析接口状态
                  "count": res.count, //解析数据长度
                  "data": res.data //解析数据列表
                };
              }
              ,done:function () {
                    layui.index.removeNoPermButtons();
                }
              });
            //监听工具条
            table.on('tool(datagrid-operate)', function(obj){
              var data = obj.data;
              if(obj.event === 'del'){
                  if (data.status == 1){
                     layer.msg('付款单已审核,禁止删除');
                     return false;
                  }
                  layer.confirm('确定要删除吗？', function(index){
                      layer.close(index);
                      layui.admin.req({
                          url: '/purchase/purchase_payment/delete/?id='+data.id
                          ,done: function(res){
                              table.reload('datagrid',{});
                          }
                      });
                  });
              }else if(obj.event === 'detail'){
                  table.editdata = data;
                  layer.open({
                      type: 2,
                      title: '查看['+ data.no + ']',
                      shadeClose: true,
                      area: ['90%', '90%'],
                      content: 'purchase_payment_detail.html?id='+data.id
                  });
              }else if(obj.event === 'pay_detail'){
                  table.editdata = data;
                  layer.open({
                      type: 2,
                      title: '查看付款明细['+ data.no + ']',
                      shadeClose: true,
                      area: ['90%', '90%'],
                      content: 'purchase_payment_pay_detail.html?id='+data.id
                  });
              }else if(obj.event === 'check'){
                  if (data.status == 1){
                        layer.msg('付款单已审核,禁止重复操作');
                        return false;
                    }
                layer.confirm('确定要审核吗？', function(index){
                    layer.close(index);
                    layui.admin.req({
                        url: '/purchase/purchase_payment/check/?status=1&id='+data.id
                        ,done: function(res){
                            table.reload('datagrid',{});
                        }
                    });
                });
              }else if(obj.event === 'checkout'){
                  if (data.status == 0){
                      layer.msg('该单据尚未审核');
                      return false;
                  }
                  if (data.is_pay){
                      layer.msg('该单据已付款，禁止撤销审核');
                      return false;
                  }
                  layer.confirm('确定要撤销审核吗？', function(index){
                      layer.close(index);
                      layui.admin.req({
                         url: '/purchase/purchase_payment/check/?status=0&id='+data.id
                         ,done: function(res){
                             table.reload('datagrid',{});
                         }
                      });
                  });
              }else if(obj.event === 'edit'){
                  if (data.status == 1){
                    layer.msg('采购计划已审核,禁止修改');
                    return false;
                  }
                  table.editdata = data;
                  layer.open({
                      type: 2,
                      title: '修改',
                      shadeClose: false,
                      area: ['90%', '90%'],
                      btn: ['保存', '取消'],
                      yes: function(index, dom){
                         layui.onSubmitChild = function (data) {
                          layer.close(index);
                          table.reload('datagrid',{});
                        };
                        layui.submitChild();
                      },
                      btn2: function(index, layero){
                        layer.close(index);//关闭当前按钮
                      },
                      content: 'purchase_payment_edit.html?id='+data.id
                  });
              }
            });
            $('#btn_export').on('click', function(){
                layui.admin.req({
                    url: '/purchase/purchase_payment/export/',
                    data:_params,
                    done: function (res) {
                          layui.view.download(res.data.filename);
                    }
                });
            });
            $('#btn_detail_export').on('click', function(){
                     var data = utils.getSelectedRow('datagrid');
                     if(data == false){
                         return;
                     }
                     table.editdata = data;
                    layui.admin.req({
                        url: '/purchase/purchase_payment/export_detail/?id='+data.id,
                        data:_params,
                        done: function (res) {
                              layui.view.download(res.data.filename);
                        }
                    });
                });
            $('#btn_add').on('click', function(){
                layer.open({
                  type: 2,
                  title: '添加',
                  area: ['90%', '90%'],
                  btn: ['保存', '取消'],
                  yes: function(index, dom){
                     layui.onSubmitChild = function (data) {
                      layer.close(index);
                      table.reload('datagrid',{});
                    };
                    layui.submitChild();
                  },
                  btn2: function(index, layero){
                    layer.close(index);//关闭当前按钮
                  },
                  content: 'purchase_payment_edit.html'
                });
            });
            $('#btn_pay').on('click', function(){
                var data = utils.getSelectedRow('datagrid');
                     if(data == false){
                         return;
                     }

                 if (data.status === 0) {
                     layer.msg('该付款单尚未审核,不允许付款');
                     return false;
                 }
                    var actual_amount = parseFloat(data.actual_amount);
                    var amount = parseFloat(data.apply_amount);
                 if (actual_amount >= amount) {
                     layer.msg('该付款单已付款完毕');
                     return false;
                 }

                 table.editdata = data;
                layer.open({
                  type: 2,
                  title: '付款['+ data.no +']',
                  area: ['500px', '400px'],
                  btn: ['保存', '取消'],
                  yes: function(index, dom){
                     layui.onSubmitChild = function (data) {
                      layer.close(index);
                      table.reload('datagrid',{});
                    };
                    layui.submitChild();
                  },
                  btn2: function(index, layero){
                    layer.close(index);//关闭当前按钮
                  },
                  content: 'purchase_payment_pay.html'
                });
            });
            $('#btn_print').on('click', function(){
                 var data = utils.getSelectedRow('datagrid');
                 if(data == false){
                     return;
                 }
                 table.editdata = data;

                     layer.open({
                      type: 2,
                      title: '打印',
                      shadeClose: true,
                      area: ['90%', '90%'],
                      btn: ['打印', '取消'],
                      yes: function (index, dom) {
                            layui.onSubmitChild = function(data){
                              layer.close(index);
                            };
                            layui.submitChild();
                        },
                      btn2: function(index, layero){
                        layer.close(index);//关闭当前按钮
                      },
                      content: 'purchase_payment_print.html'
                    });
                });
            $('#btn_query').on('click', function(){
                layer.open({
                  type: 1,
                  shadeClose: true,
                  area: ['500px', '430px'],
                  title: '查询',
                  btn: ['查询'],
                  yes: function(index, dom){
                     $('#query_btn').click();
                  },
                  content: $('#dlg_query')
                });
            });
            form.on('submit(query-form-element)', function(data){
              //layer.msg(JSON.stringify(data.field));
              _params = data.field;
              table.reload('datagrid', {
                  where: data.field,
                  page:{curr:1}
              });
              layer.closeAll();
              return false
            });

            laydate.render({
                elem: '#create_time'
                ,range: true
            });
        })
    </script>
</body>
</html>
